VTK: vtkDIYGhostUtilities::Block< BlockStructureT, InformationT > Struct Template Reference

| VTK 9.3.1

Public Attributes | List of all members
vtkDIYGhostUtilities::Block< BlockStructureT, InformationT > Struct Template Reference

Block structure to be used for diy communication. More...

`#include <vtkDIYGhostUtilities.h>`

Collaboration diagram for vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >:
[legend]

## Public Types
typedef BlockStructureT | BlockStructureType
| Typedef handle on block structure and block information. More...
typedef InformationT | InformationType
| Typedef handle on block structure and block information. More...

## Public Attributes
BlockMapType< BlockStructureType > | BlockStructures
| `BlockStructures` maps a neighboring block globald id to its block structure. More...
InformationType | Information
| `InformationT` holds any information from the current block that is necessary to exchange ghosts. More...
BlockMapType< vtkBoundingBox > | NeighborBoundingBoxes
vtkBoundingBox | BoundingBox
vtkSmartPointer< vtkUnsignedCharArray > | GhostCellArray
vtkSmartPointer< vtkUnsignedCharArray > | GhostPointArray

## Detailed Description

### template<class BlockStructureT, class InformationT>
struct vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >

Block structure to be used for diy communication.

This is a generic structure split into 3 main components:

- `BlockStructureType`: This holds all information sent by another block that are necessary to determine whether this block is to be connected with ourself.
- `InformationType`: This holds all information from the input necessary to allocate the output for this block. This can include bounds, extent, etc.

Definition at line 723 of file vtkDIYGhostUtilities.h.

## Member Typedef Documentation

## ◆ BlockStructureType

template<class BlockStructureT , class InformationT >

typedef BlockStructureT vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::BlockStructureType

Typedef handle on block structure and block information.

Definition at line 729 of file vtkDIYGhostUtilities.h.

## ◆ InformationType

template<class BlockStructureT , class InformationT >

typedef InformationT vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::InformationType

Typedef handle on block structure and block information.

Definition at line 730 of file vtkDIYGhostUtilities.h.

## Member Data Documentation

## ◆ BlockStructures

template<class BlockStructureT , class InformationT >

BlockMapType<BlockStructureType> vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::BlockStructures

`BlockStructures` maps a neighboring block globald id to its block structure.

Definition at line 736 of file vtkDIYGhostUtilities.h.

## ◆ Information

template<class BlockStructureT , class InformationT >

InformationType vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::Information

`InformationT` holds any information from the current block that is necessary to exchange ghosts.

This is typically used when sending ghosts to neighboring blocks.

Definition at line 742 of file vtkDIYGhostUtilities.h.

## ◆ NeighborBoundingBoxes

template<class BlockStructureT , class InformationT >

BlockMapType<vtkBoundingBox> vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::NeighborBoundingBoxes

Definition at line 744 of file vtkDIYGhostUtilities.h.

## ◆ BoundingBox

template<class BlockStructureT , class InformationT >

vtkBoundingBox vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::BoundingBox

Definition at line 746 of file vtkDIYGhostUtilities.h.

## ◆ GhostCellArray

template<class BlockStructureT , class InformationT >

vtkSmartPointer<vtkUnsignedCharArray> vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::GhostCellArray

Definition at line 748 of file vtkDIYGhostUtilities.h.

## ◆ GhostPointArray

template<class BlockStructureT , class InformationT >

vtkSmartPointer<vtkUnsignedCharArray> vtkDIYGhostUtilities::Block< BlockStructureT, InformationT >::GhostPointArray

Definition at line 749 of file vtkDIYGhostUtilities.h.

The documentation for this struct was generated from the following file:

- Parallel/DIY/vtkDIYGhostUtilities.h